var ApiController = function (opts) {
    this._apis = [];
    this._baseUri = opts.baseUri;
};

ApiController.prototype.get = function (relativeUri, func) {
    this._addApi("GET", relativeUri, func);
};

ApiController.prototype.post = function (relativeUri, func) {
    this._addApi("POST", relativeUri, func);
};

ApiController.prototype._addApi = function (method, relativeUri, func) {
    this._apis.push({
        method: method,
        uri: this._baseUri + relativeUri,
        relativeUri: relativeUri,
        function: func
    });
};

ApiController.prototype.getApis = function () {
    return this._apis;
};

exports.create = function (options) {
    return new ApiController(options);
};

